Reorganisation stage6
authorroot <root@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 5 Mar 2010 23:29:02 +0000 (23:29 +0000)
committerroot <root@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 5 Mar 2010 23:29:02 +0000 (23:29 +0000)
stage5/stage5-install
stage6/packages-update
stage6/stage4-additions [deleted file]
stage6/stage4-install [deleted file]
stage6/stage6-additions [new file with mode: 0755]
stage6/stage6-install [new file with mode: 0755]

index 0eba619..ba66112 100755 (executable)
@@ -27,7 +27,6 @@ if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; the
     # Gtk
     ipkg_ac    ${LIBSIGCPP}
     ipkg_ac    ${GTK_DOC}
-###    ipkg_ac    ${GLITZ}
     ipkg_ac    ${CAIRO}
     ipkg_ac    ${CAIROMM}
     ipkg_ac_nb ${PANGO}
index 203366d..ed15912 100644 (file)
@@ -23,7 +23,6 @@ fpkg_gnome ${LIBGNOME}
 fpkg_gnome ${LIBGNOMECANVAS}
 fpkg_gnome ${LIBBONOBOUI}
 fpkg_gnome ${GNOME_ICON_THEME}
-fpkg_gnu   ${LIBTASN1}
 fpkg_gnome ${GNOME_KEYRING}
 fpkg_gnome ${LIBGNOMEUI}
 fpkg_gnome ${GNOME_THEMES}
@@ -82,7 +81,6 @@ fpkg_gnome ${GNOME_KEYRING_MANAGER}
 fpkg_gnome ${GNOME_VOLUME_MANAGER}
 fpkg       ${LIBMUSICBRAINZ} "http://ftp.musicbrainz.org/pub/musicbrainz"
 fpkg_gnome ${GNOME_SOUND_JUICER}
-fpkg       ${ISO_CODES} "ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes"
 
 fpkg_gnome ${GNOME_TOTEM}
 fpkg_gnome ${GDM}
@@ -100,10 +98,5 @@ fpkg       ${ABIWORD} "http://www.abisource.com/downloads/abiword/$(get_pkg_ver
 fpkg_gnome ${EVOLUTION_EXCHANGE}
 fpkg_gnome ${EVOLUTION}
 
-fpkg       ${LIBGPG_ERROR} "http://ftp.gnupg.org/gcrypt/libgpg-error"
-fpkg       ${LIBGCRYPT} "http://ftp.gnupg.org/gcrypt/libgcrypt"
-fpkg       ${GNUTLS} "http://ftp.gnupg.org/gcrypt/gnutls"
-fpkg_sf    ${PIDGIN}
-
 # Return last error
 exit $?
diff --git a/stage6/stage4-additions b/stage6/stage4-additions
deleted file mode 100755 (executable)
index b8d9ad4..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
-    echo "You must be the superuser to install hvlinux."
-    exit 1
-fi
-
-init_log_file
-
-ipkg_gnome ${LIBGNOMECUPS}
-ipkg_gnome ${EVINCE}
-
-exit $?
diff --git a/stage6/stage4-install b/stage6/stage4-install
deleted file mode 100755 (executable)
index c19b315..0000000
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/sh
-
-export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
-export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP=/tmp
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
-    echo "You must be the superuser to install hvlinux."
-    exit 1
-fi
-
-init_log_file
-
-# GNOME-2.X configuration
-action_checkbox "Configuring ${GNOME2_VER}" ./cis-gnome-config
-action_checkbox "Reloading /etc/profile" source /etc/profile
-
-# Gnome 2 core packages
-ipkg_gnome ${ORBIT2}
-ipkg_gnome ${LIBBONOBO}
-ipkg_cust  ${GCONF} cis-gconf
-ipkg_gnome ${GNOME_MIME_DATA}
-####ipkg_cust  ${GNOME_VFS} cis-gnome-nb
-####ipkg_gnome ${GNOME_VFS_MONIKERS}
-ipkg_gnome ${LIBGNOME}
-ipkg_gnome ${LIBGNOMECANVAS}
-ipkg_gnome ${LIBBONOBOUI}
-ipkg_ac    ${GNOME_ICON_THEME}
-ipkg_ac    ${LIBTASN1}
-ipkg_gnome ${GNOME_KEYRING}
-ipkg_gnome ${LIBGNOMEUI}
-ipkg_ac    ${GNOME_THEMES}
-ipkg_ac_nb ${SCROLLKEEPER} "--localstatedir=/var --disable-static --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf"
-ipkg_gnome ${GNOME_DOC_UTILS}
-ipkg_gnome ${GNOME_DESKTOP}
-ipkg_gnome ${GNOME_BACKGROUNDS}
-ipkg_gnome ${GNOME_MENUS}
-ipkg_gnome ${GNOME_PANEL}
-ipkg_ac    ${GSTREAMER}
-ipkg_ac    ${GST_PLUGINS_BASE}
-ipkg_ac    ${GST_PLUGINS_GOOD}
-ipkg_ac    ${GST_PLUGINS_BAD}
-ipkg_ac    ${GST_PLUGINS_UGLY}
-ipkg_ac    ${GST_FFMPEG}
-ipkg_ac    ${VTE} "--libexecdir=/usr/sbin --disable-gtk-doc"
-ipkg_gnome ${GNOME_TERMINAL}
-ipkg_gnome ${LIBGTOP}
-ipkg_gnome ${LIBGNOMEKBD}
-ipkg_gnome ${LIBGAIL_GNOME}
-ipkg_cust  ${GNOME_APPLETS} cis-gnome-applets
-ipkg_gnome ${EEL}
-ipkg_gnome ${NAUTILUS}
-ipkg_gnome ${YELP}
-ipkg_cust  ${METACITY} cis-metacity
-
-ipkg_gnome ${GNOME_CONTROL_CENTER}
-ipkg_gnome ${GNOME_SESSION}
-ipkg_gnome ${GNOME_USER_DOCS}
-action_checkbox "Updating the MIME-type application database" update-desktop-database
-
-# Gnome 2 additional packages - Libraries
-####ipkg_gnome ${LIBGNOMECUPS}
-####ipkg_gnome ${LIBGNOMEPRINT}
-####ipkg_gnome ${LIBGNOMEPRINTUI}
-ipkg_gnome ${GTKHTML}
-ipkg_gnome ${EVOLUTION_DATA_SERVER} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
-ipkg_gnome ${GTKSOURCEVIEW}
-ipkg_cust  ${SYSTEM_TOOLS_BACKENDS} cis-gnome-nobuild
-ipkg_cust  ${GNOME_AUDIO} cis-gnome-audio
-
-# Gnome 2 additional packages - Utilities
-ipkg_gnome ${GEDIT} "--disable-spell"
-ipkg_gnome ${EOG}
-ipkg_gnome ${EVINCE}
-ipkg_gnome ${FILE_ROLLER}
-ipkg_gnome ${GCONF_EDITOR}
-ipkg_gnome ${GNOME_UTILS}
-ipkg_gnome ${GNOME_SYSTEM_MONITOR}
-ipkg_gnome ${NAUTILUS_CD_BURNER}
-ipkg_gnome ${GNOME_MEDIA}
-ipkg_gnome ${GNOME_NETSTATUS}
-ipkg_cust  ${GCALCTOOL} cis-gnome-nobuild
-ipkg_gnome ${GUCHARMAP}
-ipkg_gnome ${ZENITY}
-ipkg_gnome ${GNOME_KEYRING_MANAGER}
-
-# Needs hal, which needs D-BUS...
-ipkg_gnome ${GNOME_VOLUME_MANAGER}
-
-ipkg_cust  ${LIBMUSICBRAINZ} cis-libmusicbrainz
-ipkg_gnome ${GNOME_SOUND_JUICER}
-ipkg_cust  ${ISO_CODES} cis-iso-codes
-ipkg_gnome ${GNOME_TOTEM}
-ipkg_cust  ${GDM} cis-gdm
-ipkg_ac    ${LIBNOTIFY}
-ipkg_cust  ${GNOME_MOUNT} cis-gnome-nobuild
-
-ipkg_ac    ${RHYTHMBOX} "--disable-python"
-
-ipkg_ac    ${LIBGSF}
-ipkg_ac_nb ${GOFFICE}
-ipkg_cust  ${GNUMERIC} cis-gnumeric
-ipkg_ac    ${WV}
-ipkg_ac    ${ABIWORD}  "--disable-spellcheck"
-ipkg_gnome ${EVOLUTION} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
-ipkg_gnome ${EVOLUTION_EXCHANGE}
-ipkg_ac    ${LIBGPG_ERROR}
-ipkg_ac    ${LIBGCRYPT}
-ipkg_ac    ${GNUTLS}
-ipkg_ac    ${PIDGIN}
-
-exit $?
diff --git a/stage6/stage6-additions b/stage6/stage6-additions
new file mode 100755 (executable)
index 0000000..b8d9ad4
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+    echo "You must be the superuser to install hvlinux."
+    exit 1
+fi
+
+init_log_file
+
+ipkg_gnome ${LIBGNOMECUPS}
+ipkg_gnome ${EVINCE}
+
+exit $?
diff --git a/stage6/stage6-install b/stage6/stage6-install
new file mode 100755 (executable)
index 0000000..91808f4
--- /dev/null
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
+export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
+export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
+export LFS_TMP=/tmp
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+    echo "You must be the superuser to install hvlinux."
+    exit 1
+fi
+
+init_log_file
+
+# GNOME-2.X configuration
+#action_checkbox "Configuring ${GNOME2_VER}" ./cis-gnome-config
+#action_checkbox "Reloading /etc/profile" source /etc/profile
+
+# Gnome 2 core packages
+##ipkg_gnome ${ORBIT2}
+ipkg_gnome ${LIBBONOBO}
+###ipkg_cust  ${GCONF} cis-gconf
+ipkg_gnome ${GNOME_MIME_DATA}
+####ipkg_cust  ${GNOME_VFS} cis-gnome-nb
+####ipkg_gnome ${GNOME_VFS_MONIKERS}
+ipkg_gnome ${LIBGNOME}
+ipkg_gnome ${LIBGNOMECANVAS}
+ipkg_gnome ${LIBBONOBOUI}
+ipkg_ac    ${GNOME_ICON_THEME}
+##ipkg_gnome ${GNOME_KEYRING}
+ipkg_gnome ${LIBGNOMEUI}
+ipkg_ac    ${GNOME_THEMES}
+ipkg_ac_nb ${SCROLLKEEPER} "--localstatedir=/var --disable-static --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf"
+ipkg_gnome ${GNOME_DOC_UTILS}
+ipkg_gnome ${GNOME_DESKTOP}
+ipkg_gnome ${GNOME_BACKGROUNDS}
+ipkg_gnome ${GNOME_MENUS}
+ipkg_gnome ${GNOME_PANEL}
+ipkg_ac    ${GSTREAMER}
+ipkg_ac    ${GST_PLUGINS_BASE}
+ipkg_ac    ${GST_PLUGINS_GOOD}
+ipkg_ac    ${GST_PLUGINS_BAD}
+ipkg_ac    ${GST_PLUGINS_UGLY}
+ipkg_ac    ${GST_FFMPEG}
+ipkg_ac    ${VTE} "--libexecdir=/usr/sbin --disable-gtk-doc"
+ipkg_gnome ${GNOME_TERMINAL}
+ipkg_gnome ${LIBGTOP}
+ipkg_gnome ${LIBGNOMEKBD}
+ipkg_gnome ${LIBGAIL_GNOME}
+ipkg_cust  ${GNOME_APPLETS} cis-gnome-applets
+ipkg_gnome ${EEL}
+ipkg_gnome ${NAUTILUS}
+ipkg_gnome ${YELP}
+ipkg_cust  ${METACITY} cis-metacity
+
+ipkg_gnome ${GNOME_CONTROL_CENTER}
+ipkg_gnome ${GNOME_SESSION}
+ipkg_gnome ${GNOME_USER_DOCS}
+action_checkbox "Updating the MIME-type application database" update-desktop-database
+
+# Gnome 2 additional packages - Libraries
+####ipkg_gnome ${LIBGNOMECUPS}
+####ipkg_gnome ${LIBGNOMEPRINT}
+####ipkg_gnome ${LIBGNOMEPRINTUI}
+ipkg_gnome ${GTKHTML}
+ipkg_gnome ${EVOLUTION_DATA_SERVER} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
+ipkg_gnome ${GTKSOURCEVIEW}
+ipkg_cust  ${SYSTEM_TOOLS_BACKENDS} cis-gnome-nobuild
+ipkg_cust  ${GNOME_AUDIO} cis-gnome-audio
+
+# Gnome 2 additional packages - Utilities
+ipkg_gnome ${GEDIT} "--disable-spell"
+ipkg_gnome ${EOG}
+ipkg_gnome ${EVINCE}
+ipkg_gnome ${FILE_ROLLER}
+ipkg_gnome ${GCONF_EDITOR}
+ipkg_gnome ${GNOME_UTILS}
+ipkg_gnome ${GNOME_SYSTEM_MONITOR}
+ipkg_gnome ${NAUTILUS_CD_BURNER}
+ipkg_gnome ${GNOME_MEDIA}
+ipkg_gnome ${GNOME_NETSTATUS}
+ipkg_cust  ${GCALCTOOL} cis-gnome-nobuild
+ipkg_gnome ${GUCHARMAP}
+ipkg_gnome ${ZENITY}
+ipkg_gnome ${GNOME_KEYRING_MANAGER}
+
+# Needs hal, which needs D-BUS...
+ipkg_gnome ${GNOME_VOLUME_MANAGER}
+
+ipkg_cust  ${LIBMUSICBRAINZ} cis-libmusicbrainz
+ipkg_gnome ${GNOME_SOUND_JUICER}
+ipkg_gnome ${GNOME_TOTEM}
+ipkg_cust  ${GDM} cis-gdm
+ipkg_ac    ${LIBNOTIFY}
+ipkg_cust  ${GNOME_MOUNT} cis-gnome-nobuild
+
+ipkg_ac    ${RHYTHMBOX} "--disable-python"
+
+ipkg_ac    ${LIBGSF}
+ipkg_ac_nb ${GOFFICE}
+ipkg_cust  ${GNUMERIC} cis-gnumeric
+ipkg_ac    ${WV}
+ipkg_ac    ${ABIWORD}  "--disable-spellcheck"
+ipkg_gnome ${EVOLUTION} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
+ipkg_gnome ${EVOLUTION_EXCHANGE}
+
+exit $?